Classic Editor

Beschrijving

Classic Editor is een officiële plugin onderhouden door het WordPress team dat de vorige (“klassieke”) WordPress editor en het scherm “Bericht bewerken” herstelt. Het maakt het mogelijk om plugins te gebruiken die dat scherm uitbreiden, metaboxes in oude stijl toevoegen of anderszins afhankelijk zijn van de vorige editor.

Classic Editor is een officiële WordPress plugin, en zal volledig worden ondersteund en onderhouden tot minstens 2024, of zolang als nodig is.

In één oogopslag voegt deze plugin het volgende toe:

  • Beheerders kunnen de standaard editor voor alle gebruikers selecteren.
  • Beheerders kunnen gebruikers toestaan hun standaard editor te wijzigen.
  • Indien toegestaan, kunnen de gebruikers kiezen welke editor te gebruiken voor elk bericht.
  • Elk bericht wordt geopend in de laatste editor die wordt gebruikt, ongeacht wie het laatst heeft bewerkt. Dit is belangrijk voor het behouden van een consistente ervaring bij het bewerken van inhoud.

Daarnaast bevat de Classic Editor plugin verschillende filters waarmee andere plugins de instellingen kunnen beheren, en de editor keuze per bericht en per berichttype.

Standaard verbergt deze plugin alle functionaliteit die beschikbaar is in de nieuwe blok-editor (“Gutenberg”).

Schermafbeeldingen

  • Beheerdersinstellingen op het scherm Instellingen -> Schrijven.
  • Gebruikersinstellingen op het profielscherm. Zichtbaar wanneer de gebruikers van editors mogen wisselen.
  • "Actielinks" om alternatieve editor te kiezen. Zichtbaar wanneer de gebruikers van editors mogen wisselen.
  • Link om over te schakelen naar de blok-editor tijdens het bewerken van een bericht in de klassieke editor. Zichtbaar wanneer de gebruikers van editors mogen wisselen.
  • Link om over te schakelen naar de klassieke editor tijdens het bewerken van een bericht in de blok-editor. Zichtbaar wanneer de gebruikers van editors mogen wisselen.
  • Netwerkinstellingen om de standaardeditor voor het netwerk te selecteren en websitebeheerders toe te staan deze te wijzigen.
  • De link "Wissel naar klassieke editor".

FAQ

Standaard instellingen

Indien geactiveerd en bij gebruik van een klassiek (niet-blok) thema, zal deze plugin de vorige (“klassieke”) WordPress editor terugzetten en de nieuwe blok-editor (“Gutenberg”) verbergen.
Deze instellingen kunnen worden gewijzigd bij het Instellingen => Schrijven scherm.

Standaard instellingen voor netwerk installatie

Er zijn twee opties:

  • Wanneer het via netwerk geactiveerd is en wanneer een klassiek (niet-blok) thema wordt gebruikt, zal deze plugin de klassieke editor als standaard instellen en voorkomen dat websitebeheerders en gebruikers editors kunnen wijzigen.
    De instellingen kunnen worden gewijzigd en de standaard netwerk brede editor kan worden geselecteerd in het scherm Netwerk instellingen.
  • Wanneer niet het netwerk geactiveerd elke website beheerder in staat zal zijn om de plugin te activeren en opties te kiezen voor hun gebruikers.

Het is in het hoofd blok-editor menu, zie deze screenshot.

Werkt dit met full site editing en blokthema’s?

Nee, omdat blokthema’s gebaseerd zijn op blokken. Zie het blokthema’s artikel voor meer informatie.

Beoordelingen

15 november 2022
It’s sad to see how millions of people are using bloated page builders and still use terrible Classic Editor. Get over it, just use Gutenberg!
18 oktober 2022 3 reacties
This plugin is not compatible with the latest releases of WordPress. I really liked the feature for being able to switch between classic and gutenberg editing - it was perfect for migrating sites to gutenberg.
26 september 2022
Toda vez esse plugin me salva, ele é incrível, eu detesto a nova interface!
22 september 2022
I wish wordpress would go back to the normal backend layout or at the very least keep this updated.
18 september 2022
This is the first plugin I install on any new website. I wish this was an option built into WordPress, as I feel like it's essential to be able to manage content using a WYSIWYG editor.
Lees alle 1.091 beoordelingen

Bijdragers & ontwikkelaars

“Classic Editor” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“Classic Editor” is vertaald in 69 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “Classic Editor” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

1.6.2

  • Een fout opgelost dat voorkwam dat de laatst gebruikte editor werd opgeslagen.

1.6.1

  • Een waarschuwing opgelost in het op blok-editor gebaseerde widgets scherm.
  • Het gebruik van een verouderde filter is opgelost.

1.6

  • Bijgewerkt voor WordPress 5.5.
  • Kleine problemen opgelost met het aanroepen van verouderde functies, het onnodig registreren van de de-installatie hook en het hoofdlettergebruik van sommige strings.

1.5

  • Bijgewerkt voor WordPress 5.2 en Gutenberg 5.3.
  • Verbeterde de “open berichten in de laatste editor gebruikt om ze te bewerken” logica.
  • Het toevoegen van het bericht status is verbeterd, zodat deze gemakkelijk toegankelijk is vanuit andere plugins.

1.4

  • Op netwerkinstallaties is de beperking voor alleen netwerkactivering verwijderd.
  • Ondersteuning toegevoegd voor netwerkbeheerders om de standaard netwerk-wijde editor te kiezen.
  • De instellingen link in de waarschuwing op het netwerk Over scherm is verbeterd.
  • Het menu item ‘Wissel naar klassieke editor’ is correct toegevoegd aan het blok editor menu.

1.3

  • Verwijdering van de “Probeer Gutenberg” dashboard widget opgelost.
  • Probleem met voorwaarde voor het weergeven van de na upgrade melding op het scherm “Wat is er nieuw” is opgelost. Weergegeven wanneer de klassieke editor is geselecteerd en gebruikers niet van editors kunnen wisselen.

1.2

  • Vaste wissel editors van het scherm Nieuw toevoegen (bericht) voordat een conceptbericht wordt opgeslagen.
  • Schrijffout opgelost dat de bewerking URL aan de classic-editor query var toevoegde.
  • Gewijzigde detectie van WordPress 5.0 om geen versie controle te gebruiken. Lost een bug op bij het testen van 5.1-alpha.
  • Hiermee wijzigde je de standaardwaarde van de optie zodat gebruikers van editors kunnen overschakelen naar false.
  • Toegevoegd uitschakelen van de Gutenberg plugin en verlaagde de vereiste WordPress versie tot 4.9.
  • Filter classic_editor_network_default_settings toegevoegd.

1.1

Een bug verholpen waarbij de blok-editor werd geladen voor berichttypen die de editor niet ondersteund wanneer gebruikers van editors mogen wisselen.

1.0

  • Bijgewerkt voor WordPress 5.0.
  • Veranderd alle “Gutenberg” namen/verwijzingen naar “blok-editor”.
  • Vernieuwde de gebruikersinterface van de instellingen.
  • Verwijderde uitschakeling van de Gutenberg plugin. Dit is toegevoegd voor het testen in WordPress 4.9. Gebruikers die de ontwikkeling van Gutenberg in WordPress 5.0 en verder willen blijven volgen, hebben geen andere plugin nodig om deze uit te schakelen.
  • Ondersteuning toegevoegd voor instellingen per gebruiker van de standaard editor.
  • Ondersteuning toegevoegd voor beheerders om de standaard editor voor de website in te stellen.
  • Ondersteuning toegevoegd voor beheerders om gebruikers toe te staan om hun standaard editor te wijzigen.
  • Ondersteuning toegevoegd voor netwerk beheerders om te voorkomen dat website beheerders hun standaard instellingen aanpassen.
  • Ondersteuning toegevoegd om de laatste editor op te slaan die voor elk bericht wordt gebruikt en deze de volgende keer te openen. Ingeschakeld wanneer gebruikers de standaardeditor kunnen kiezen.
  • In de lijst van berichten op het scherm Berichten is “bericht editor status” toegevoegd. Toont de editor die zal worden geopend voor het bericht. Ingeschakeld wanneer gebruikers de standaardeditor kunnen kiezen.
  • De filters classic_editor_enabled_editors_for_post en classic_editor_enabled_editors_for_post_type toegevoegd. Kan worden gebruikt door andere plugins om de editor te controleren of te overschrijven die wordt gebruikt voor een bepaald bericht van het bericht type.
  • Filter classic_editor_plugin_settings toegevoegd. Kan door andere plugins worden gebruikt om de instellingen te overschrijven en de instellingen gebruikersinterface uit te schakelen.

0.5

  • Bijgewerkt voor Gutenberg 4.1 en WordPress 5.0-beta1.
  • Sommige functionaliteit verwijderd die nu bestaat in Gutenberg.
  • Doorverwijzing opgelost dat terug naar de klassieke editor na het bekijken van bericht herzieningen.

0.4

  • Verwijdering van de “Probeer Gutenberg” call-out is opgelost wanneer de Gutenberg plugin niet is geactiveerd.
  • Het probleem dat altijd de instellingen en de instellingen link getoond wordt in de plugins lijst tabel is opgelost.
  • De leesmij tekst bijgewerkt.

0.3

  • De optie bijgewerkt van een selectievakje naar een paar keuzerondjes, lijkt duidelijker. Met dank aan @designsimply voor het label tekst suggesties.
  • Enkele algemene updates en opschoning.

0.2

  • Bijwerken voor Gutenberg 1.9.
  • Verwijder waarschuwing en automatische uitschakeling wanneer Gutenberg niet actief is.

0.1

Initiële versie.